#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: text-short
version: 0.1.1
id: text-short-0.1.1-JcL3O9DvaGM5S9a5VHyIup
key: text-short-0.1.1-JcL3O9DvaGM5S9a5VHyIup
license: BSD3
maintainer: hvr@gnu.org
synopsis: Memory-efficient representation of Unicode text strings
description:
    This package provides the '\''ShortText'\'' type which is suitable for keeping many short strings in memory. This is similiar to how '\''ShortByteString'\'' relates to '\''ByteString'\''.
    .
    The main difference between '\''Text'\'' and '\''ShortText'\'' is that '\''ShortText'\'' uses UTF-8 instead of UTF-16 internally and also doesn'\''t support slicing (thereby saving 2 words). Consequently, the memory footprint of a (boxed) '\''ShortText'\'' value is 4 words (2 words when unboxed) plus the length of the UTF-8 encoded payload.
category: Data
author: Herbert Valerio Riedel
exposed: True
indefinite: False
exposed-modules:
    Data.Text.Short Data.Text.Short.Unsafe
hidden-modules: Data.Text.Short.Internal
abi: fb192b063605ee75b5c1c11a37117aa6
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/text-short-0.1.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/text-short-0.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/text-short-0.1.1
hs-libraries: HStext-short-0.1.1-JcL3O9DvaGM5S9a5VHyIup
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk deepseq-1.4.3.0
    text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz binary-0.8.5.1
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk=5285d4c9a9fd47aab57774d045fde1ac
             deepseq-1.4.3.0=5db6f9c28d6213bd6646f988460dacd0
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=9217a19661a41b462c62d1a4bdf2e9b1
             binary-0.8.5.1=44e4c28d2f38593047e3772473ecb87e
haddock-interfaces: /usr/share/doc/haskell-text-short/html/text-short.haddock
haddock-html: /usr/share/doc/haskell-text-short/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

